OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_NodeList Class Reference

`#include <LDOM_NodeList.hxx>`

## Public Member Functions
Standard_EXPORT | LDOM_NodeList ()
Standard_EXPORT | LDOM_NodeList (const LDOM_NodeList &theOther)
Standard_EXPORT LDOM_NodeList & | operator= (const LDOM_NodeList &theOther)
Standard_EXPORT | ~LDOM_NodeList ()
Standard_EXPORT LDOM_NodeList & | operator= (const LDOM_NullPtr *)
Standard_EXPORT Standard_Boolean | operator== (const LDOM_NullPtr *) const
Standard_EXPORT Standard_Boolean | operator!= (const LDOM_NullPtr *) const
Standard_EXPORT LDOM_Node | item (const Standard_Integer) const
Standard_EXPORT Standard_Integer | getLength () const
## Private Member Functions
Standard_EXPORT | LDOM_NodeList (const Handle(LDOM_MemManager)&aDoc)
Standard_EXPORT void | Append (const LDOM_BasicNode &aNode) const
| Handle (LDOM_MemManager) myDoc
## Private Attributes
LDOM_BasicNodeSequence * | mySeq

## Constructor & Destructor Documentation

Standard_EXPORT LDOM_NodeList::LDOM_NodeList | ( |  | ) |

Standard_EXPORT LDOM_NodeList::LDOM_NodeList | ( | const LDOM_NodeList & | theOther | ) |

Standard_EXPORT LDOM_NodeList::~LDOM_NodeList | ( |  | ) |

Standard_EXPORT LDOM_NodeList::LDOM_NodeList | ( | const Handle(LDOM_MemManager)& | aDoc | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void LDOM_NodeList::Append | ( | const LDOM_BasicNode & | aNode | ) | const`[private]`

Standard_EXPORT Standard_Integer LDOM_NodeList::getLength | ( |  | ) | const

LDOM_NodeList::Handle | ( | LDOM_MemManager |  | ) | `[private]`

Standard_EXPORT LDOM_Node LDOM_NodeList::item | ( | const | Standard_Integer | ) | const

Standard_EXPORT Standard_Boolean LDOM_NodeList::operator!= | ( | const LDOM_NullPtr * |  | ) | const

Standard_EXPORT LDOM_NodeList& LDOM_NodeList::operator= | ( | const LDOM_NullPtr * |  | ) |

Standard_EXPORT LDOM_NodeList& LDOM_NodeList::operator= | ( | const LDOM_NodeList & | theOther | ) |

Standard_EXPORT Standard_Boolean LDOM_NodeList::operator== | ( | const LDOM_NullPtr * |  | ) | const

## Field Documentation

LDOM_BasicNodeSequence* LDOM_NodeList::mySeq`[private]`

The documentation for this class was generated from the following file:

- LDOM_NodeList.hxx